Subject: Re: bug#60112: [PATCH] website: Add post about guix shell fhs option.

From: John Kehayias <[email-masked]>
Date: Thu, 05 Jan 2023 21:03:29 +0000

On Thu, Jan 05, 2023 at 10:00 PM, Ludovic Courtès wrote:

> Hi jman,
>
> jman <[email-masked]> skribis:
>
>> Hello and sorry for getting into this comment thread.
>>
>> I have posted a few days ago a question about preserving env vars
>> when creating a container with FHS emulation:
>> <https://lists.gnu.org/archive/html/help-guix/2023-01/msg00002.html>
>
> The ‘PATH’ environment variable, and only this one, is overridden
> unconditionally when using ‘--emulate-fhs’; quoth ‘environment.scm’:
>
>    (when emulate-fhs?
>      ;; When running in a container with EMULATE-FHS?, override $PATH
>      ;; (optional, but to better match FHS expectations), and generate
>      ;; /etc/ld.so.cache.
>      (setenv "PATH" "/bin:/usr/bin:/sbin:/usr/sbin")
>      (invoke "ldconfig" "-X"))
>
> Other variables are preserved, as in this example:
>
> $ FOO=bar guix shell -CF -E ^FOO coreutils -- env | grep FOO
> FOO=bar
>
> HTH!
>
> Ludo’.

Now filed by jman as <https://issues.guix.gnu.org/60566> after discussion on #guix. I think it is a bug (say you want to preserve PATH as you have some scripts in ~/.local/bin for example) and I have a patch to fix. I'll send it to that bug and CC you (Ludo’) as well.

John